Instagram Platform

IG User Media Publish

Updated: Jan 21, 2025
Publish an IG Container on an Instagram Business IG User. Refer to the Content Publishing guide for complete publishing steps.

Creating

POST /{ig-user-id}/media_publish
Publish an IG Container object on an Instagram Business IG User.

Limitations

  • An Instagram professional account can only publish 50 posts within a 24 hour moving period
  • If the Page connected to the targeted Instagram Business account requires Page Publishing Authorization (PPA), PPA must be completed or the request will fail.
  • If the Page connected to the targeted Instagram Business account requires two-factor authentication, the Facebook User must also have performed two-factor authentication or the request will fail.

Requirements

Type Description
If publishing containers for product tagging, the app user must have an admin role on the Business Manager that owns the IG User’s Instagram Shop.
If publishing containers for product tagging, the IG User must have an approved Instagram Shop with a product catalog containing products.
If the app user was granted a role on the Page via the Business Manager, you will also need one of:
If publishing containers for product tagging, you will also need:
The app user whose token is used in the request must be able to perform MANAGE or CREATE_CONTENT tasks on the Page connected to the targeted Instagram account.

Request Syntax

POST https://graph.facebook.com/{api-version}/{ig-user-id}/media_publish
  ?creation_id={creation-id}
  &access_token={access-token}

Path Parameters

Placeholder Value
{api-version}
String
API version.
{ig-user-id}
Required
String
App user’s app-scoped user ID.

Query String Parameters

Key Placeholder Description
access_token
Required
{access-token}
The app user’s User access token.
creation_id
Required
{creation-id}
The ID of the IG Container to be published.

Sample Request

POST graph.facebook.com
  /17841405822304914/media_publish
    ?creation_id=17889455560051444

Sample Response

{
  "id": "17920238422030506"
}

Reading

This operation is not supported.

Updating

This operation is not supported.

Deleting

This operation is not supported.